/*
 * This program is free software; you can redistribute it and/or modify it under the 
 * terms of the GNU Lesser General Public License, version 2.1 as published by the Free Software 
 * Foundation.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this 
 * program; if not, you can obtain a copy at http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html 
 * or from the Free Software Foundation, Inc., 
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * Copyright 2008 - 2009 Pentaho Corporation.  All rights reserved.
*/
package org.pentaho.pac.client.i18n;


/**
 * Interface to represent the messages contained in resource  bundle:
 * 	C:/projects/pentaho.2.trunk/pentaho-open-admin-console/src/org/pentaho/pac/client/i18n/PacLocalizedMessages.properties'.
 */
public interface PacLocalizedMessages extends com.google.gwt.i18n.client.Messages {
  
  /**
   * Translated "Validation Query:".
   * 
   * @return translated "Validation Query:"
   * @gwt.key dbValidationQuery
   */
  String dbValidationQuery();

  /**
   * Translated "Details".
   * 
   * @return translated "Details"
   * @gwt.key userDetails
   */
  String userDetails();

  /**
   * Translated "Invalid String for RecurrenceType: {0}. ".
   * 
   * @return translated "Invalid String for RecurrenceType: {0}. "
   * @gwt.key invalidStringForRecurrenceType
   */
  String invalidStringForRecurrenceType(String arg0);

  /**
   * Translated "End by:".
   * 
   * @return translated "End by:"
   * @gwt.key endByLabel
   */
  String endByLabel();

  /**
   * Translated "Resume selected schedule(s)".
   * 
   * @return translated "Resume selected schedule(s)"
   * @gwt.key resumeSchedules
   */
  String resumeSchedules();

  /**
   * Translated "Refresh System Settings".
   * 
   * @return translated "Refresh System Settings"
   * @gwt.key refreshSystemSettings
   */
  String refreshSystemSettings();

  /**
   * Translated "of every month".
   * 
   * @return translated "of every month"
   * @gwt.key ofEveryMonth
   */
  String ofEveryMonth();

  /**
   * Translated "Filter By:".
   * 
   * @return translated "Filter By:"
   * @gwt.key filterBy
   */
  String filterBy();

  /**
   * Translated "Schedule Daily Repository Cleaning".
   * 
   * @return translated "Schedule Daily Repository Cleaning"
   * @gwt.key scheduleDailyRepositoryCleaning
   */
  String scheduleDailyRepositoryCleaning();

  /**
   * Translated "Invalid day of month: {0}. ".
   * 
   * @return translated "Invalid day of month: {0}. "
   * @gwt.key invalidDayOfMonth
   */
  String invalidDayOfMonth(String arg0);

  /**
   * Translated "Run selected schedule(s) now".
   * 
   * @return translated "Run selected schedule(s) now"
   * @gwt.key runSchedules
   */
  String runSchedules();

  /**
   * Translated "Error Deleting Data Source".
   * 
   * @return translated "Error Deleting Data Source"
   * @gwt.key errorDeletingDataSource
   */
  String errorDeletingDataSource();

  /**
   * Translated "Assigned".
   * 
   * @return translated "Assigned"
   * @gwt.key assignedItemsTitle
   */
  String assignedItemsTitle();

  /**
   * Translated "All Groups".
   * 
   * @return translated "All Groups"
   * @gwt.key allGroups
   */
  String allGroups();

  /**
   * Translated "Invalid token, must be a list of integers: {0}.".
   * 
   * @return translated "Invalid token, must be a list of integers: {0}."
   * @gwt.key invalidIntegerListToken
   */
  String invalidIntegerListToken(String arg0);

  /**
   * Translated "Invalid tab index: {0}".
   * 
   * @return translated "Invalid tab index: {0}"
   * @gwt.key invalidTabIndex
   */
  String invalidTabIndex(String arg0);

  /**
   * Translated "Successfully updated the Data Source.".
   * 
   * @return translated "Successfully updated the Data Source."
   * @gwt.key successfulDataSourceUpdate
   */
  String successfulDataSourceUpdate();

  /**
   * Translated "Running".
   * 
   * @return translated "Running"
   * @gwt.key running
   */
  String running();

  /**
   * Translated "Invalid String for week of month: {0}. ".
   * 
   * @return translated "Invalid String for week of month: {0}. "
   * @gwt.key invalidStringForWeekOfMonth
   */
  String invalidStringForWeekOfMonth(String arg0);

  /**
   * Translated "URL:".
   * 
   * @return translated "URL:"
   * @gwt.key dbUrl
   */
  String dbUrl();

  /**
   * Translated "Wait: (milliseconds)".
   * 
   * @return translated "Wait: (milliseconds)"
   * @gwt.key dbWaitTime
   */
  String dbWaitTime();

  /**
   * Translated "Password Confirmation".
   * 
   * @return translated "Password Confirmation"
   * @gwt.key passwordConfirmation
   */
  String passwordConfirmation();

  /**
   * Translated "Cancel".
   * 
   * @return translated "Cancel"
   * @gwt.key cancel
   */
  String cancel();

  /**
   * Translated "Test".
   * 
   * @return translated "Test"
   * @gwt.key test
   */
  String test();

  /**
   * Translated "Invalid month of year: {0}.".
   * 
   * @return translated "Invalid month of year: {0}."
   * @gwt.key invalidMonthOfYear
   */
  String invalidMonthOfYear(String arg0);

  /**
   * Translated "getDaysOfWeek() not valid for recurrence type: {0}. ".
   * 
   * @return translated "getDaysOfWeek() not valid for recurrence type: {0}. "
   * @gwt.key invalidDayOfWeekForRecurrenceType
   */
  String invalidDayOfWeekForRecurrenceType(String arg0);

  /**
   * Translated "Click to add advanced.".
   * 
   * @return translated "Click to add advanced."
   * @gwt.key clickAddAdvance
   */
  String clickAddAdvance();

  /**
   * Translated "Next Fire Time".
   * 
   * @return translated "Next Fire Time"
   * @gwt.key nextFireTime
   */
  String nextFireTime();

  /**
   * Translated "Weekly".
   * 
   * @return translated "Weekly"
   * @gwt.key weekly
   */
  String weekly();

  /**
   * Translated "Number of days to repeat.".
   * 
   * @return translated "Number of days to repeat."
   * @gwt.key numDaysToRepeat
   */
  String numDaysToRepeat();

  /**
   * Translated "Create schedule".
   * 
   * @return translated "Create schedule"
   * @gwt.key createSchedule
   */
  String createSchedule();

  /**
   * Translated "Advance".
   * 
   * @return translated "Advance"
   * @gwt.key advanceDb
   */
  String advanceDb();

  /**
   * Translated "Error".
   * 
   * @return translated "Error"
   * @gwt.key error
   */
  String error();

  /**
   * Translated "Connection Test Successful.".
   * 
   * @return translated "Connection Test Successful."
   * @gwt.key connectionTestSuccessful
   */
  String connectionTestSuccessful();

  /**
   * Translated "Loading...".
   * 
   * @return translated "Loading..."
   * @gwt.key loading
   */
  String loading();

  /**
   * Translated "Seconds token must be an integer between 0 and 59, but it is: {0}. ".
   * 
   * @return translated "Seconds token must be an integer between 0 and 59, but it is: {0}. "
   * @gwt.key invalidSecondsToken
   */
  String invalidSecondsToken(String arg0);

  /**
   * Translated "Every".
   * 
   * @return translated "Every"
   * @gwt.key every
   */
  String every();

  /**
   * Translated "Associate this public schedule with the selected files...".
   * 
   * @return translated "Associate this public schedule with the selected files..."
   * @gwt.key fileLocationLabel
   */
  String fileLocationLabel();

  /**
   * Translated "State".
   * 
   * @return translated "State"
   * @gwt.key state
   */
  String state();

  /**
   * Translated "Resume scheduler".
   * 
   * @return translated "Resume scheduler"
   * @gwt.key resumeScheduler
   */
  String resumeScheduler();

  /**
   * Translated "Update User".
   * 
   * @return translated "Update User"
   * @gwt.key updateUser
   */
  String updateUser();

  /**
   * Translated "Suspend scheduler".
   * 
   * @return translated "Suspend scheduler"
   * @gwt.key suspendScheduler
   */
  String suspendScheduler();

  /**
   * Translated "Update".
   * 
   * @return translated "Update"
   * @gwt.key update
   */
  String update();

  /**
   * Translated "Add Role".
   * 
   * @return translated "Add Role"
   * @gwt.key addRole
   */
  String addRole();

  /**
   * Translated "Assigned Users".
   * 
   * @return translated "Assigned Users"
   * @gwt.key assignedUsers
   */
  String assignedUsers();
  
  /**
   * Translated "Assign Users".
   * 
   * @return translated "Assign Users"
   * @gwt.key assignUsers
   */
  String assignUsers();

  /**
   * Translated "Unassign Users".
   * 
   * @return translated "Unassign Users"
   * @gwt.key unassignUsers
   */
  String unassignUsers();
  
  /**
   * Translated "Suspend selected schedule(s)".
   * 
   * @return translated "Suspend selected schedule(s)"
   * @gwt.key suspendSchedules
   */
  String suspendSchedules();

  /**
   * Translated "Recurrence:".
   * 
   * @return translated "Recurrence:"
   * @gwt.key recurrenceColon
   */
  String recurrenceColon();

  /**
   * Translated "Filter:".
   * 
   * @return translated "Filter:"
   * @gwt.key filter
   */
  String filter();

  /**
   * Translated "Refresh Reporting Metadata".
   * 
   * @return translated "Refresh Reporting Metadata"
   * @gwt.key refreshReportingMetadata
   */
  String refreshReportingMetadata();

  /**
   * Translated "Invalid week of month: {0}. ".
   * 
   * @return translated "Invalid week of month: {0}. "
   * @gwt.key invalidWeekOfMonth
   */
  String invalidWeekOfMonth(String arg0);

  /**
   * Translated "Advanced".
   * 
   * @return translated "Advanced"
   * @gwt.key advance
   */
  String advance();

  /**
   * Translated "Type [Count]".
   * 
   * @return translated "Type [Count]"
   * @gwt.key subscriberCount
   */
  String subscriberCount();

  /**
   * Translated "Invalid user name.".
   * 
   * @return translated "Invalid user name."
   * @gwt.key invalidUserName
   */
  String invalidUserName();

  /**
   * Translated "Password:".
   * 
   * @return translated "Password:"
   * @gwt.key dbPassword
   */
  String dbPassword();

  /**
   * Translated "Group".
   * 
   * @return translated "Group"
   * @gwt.key scheduleGroupName
   */
  String scheduleGroupName();

  /**
   * Translated "Run Now".
   * 
   * @return translated "Run Now"
   * @gwt.key runNow
   */
  String runNow();

  /**
   * Translated "Invalid Run Type: {0}.".
   * 
   * @return translated "Invalid Run Type: {0}."
   * @gwt.key invalidRunType
   */
  String invalidRunType(String arg0);

  /**
   * Translated "Unable to refresh data sources list: {0}".
   * 
   * @return translated "Unable to refresh data sources list: {0}"
   * @gwt.key dataSourcesRefreshError
   */
  String dataSourcesRefreshError(String arg0);

  /**
   * Translated "Invalid day of week: {0}. ".
   * 
   * @return translated "Invalid day of week: {0}. "
   * @gwt.key invalidDayOfWeek
   */
  String invalidDayOfWeek(String arg0);

  /**
   * Translated "Update Data Source".
   * 
   * @return translated "Update Data Source"
   * @gwt.key updateDataSource
   */
  String updateDataSource();

  /**
   * Translated "Name".
   * 
   * @return translated "Name"
   * @gwt.key scheduleName
   */
  String scheduleName();

  /**
   * Translated "Public".
   * 
   * @return translated "Public"
   * @gwt.key publicLabel
   */
  String publicLabel();

  /**
   * Translated "No end date".
   * 
   * @return translated "No end date"
   * @gwt.key noEndDateLabel
   */
  String noEndDateLabel();

  /**
   * Translated "Delete".
   * 
   * @return translated "Delete"
   * @gwt.key delete
   */
  String delete();

  /**
   * Translated "Schedule".
   * 
   * @return translated "Schedule"
   * @gwt.key schedule
   */
  String schedule();

  /**
   * Translated "Click to edit general.".
   * 
   * @return translated "Click to edit general."
   * @gwt.key clickEditGeneral
   */
  String clickEditGeneral();

  /**
   * Translated "General".
   * 
   * @return translated "General"
   * @gwt.key general
   */
  String general();

  /**
   * Translated "Driver Class:".
   * 
   * @return translated "Driver Class:"
   * @gwt.key jdbcDriverClass
   */
  String jdbcDriverClass();

  /**
   * Translated "Insufficient privileges.".
   * 
   * @return translated "Insufficient privileges."
   * @gwt.key insufficientPrivileges
   */
  String insufficientPrivileges();

  /**
   * Translated "Suspend".
   * 
   * @return translated "Suspend"
   * @gwt.key suspend
   */
  String suspend();

  /**
   * Translated "Error Loading Data Sources".
   * 
   * @return translated "Error Loading Data Sources"
   * @gwt.key errorLoadingDataSources
   */
  String errorLoadingDataSources();

  /**
   * Translated "Unable to refresh security information: {0}".
   * 
   * @return translated "Unable to refresh security information: {0}"
   * @gwt.key securityRefreshError
   */
  String securityRefreshError(String arg0);

  /**
   * Translated "Users".
   * 
   * @return translated "Users"
   * @gwt.key users
   */
  String users();

  /**
   * Translated "Test Connection".
   * 
   * @return translated "Test Connection"
   * @gwt.key testConnection
   */
  String testConnection();
  
  
  String testValidationQuery();
  
  String validationQuerySuccessful();

  /**
   * Translated "Number of {0} to repeat.".
   * 
   * @return translated "Number of {0} to repeat."
   * @gwt.key numberOfXToRepeat
   */
  String numberOfXToRepeat(String arg0);

  /**
   * Translated "Remove Roles".
   * 
   * @return translated "Remove Roles"
   * @gwt.key removeRoles
   */
  String removeRoles();

  /**
   * Translated "Missing database driver class.".
   * 
   * @return translated "Missing database driver class."
   * @gwt.key missingDbDriver
   */
  String missingDbDriver();

  /**
   * Translated "Role already exists.".
   * 
   * @return translated "Role already exists."
   * @gwt.key roleAlreadyExists
   */
  String roleAlreadyExists();

  /**
   * Translated "Last Fire Time".
   * 
   * @return translated "Last Fire Time"
   * @gwt.key lastFireTime
   */
  String lastFireTime();

  /**
   * Translated "Console shutdown complete".
   * 
   * @return translated "Console shutdown complete"
   * @gwt.key consoleShutdownComplete
   */
  String consoleShutdownComplete();

  /**
   * Translated "Cron String:".
   * 
   * @return translated "Cron String:"
   * @gwt.key cronLabel
   */
  String cronLabel();

  /**
   * Translated "Description:".
   * 
   * @return translated "Description:"
   * @gwt.key descriptionColon
   */
  String descriptionColon();

  /**
   * Translated "Delete Data Sources".
   * 
   * @return translated "Delete Data Sources"
   * @gwt.key deleteDataSources
   */
  String deleteDataSources();

  /**
   * Translated "Add User".
   * 
   * @return translated "Add User"
   * @gwt.key addUser
   */
  String addUser();

  /**
   * Translated "Confirm Delete".
   * 
   * @return translated "Confirm Delete"
   * @gwt.key confirmDelete
   */
  String confirmDelete();

  /**
   * Translated "User Name:".
   * 
   * @return translated "User Name:"
   * @gwt.key dbUserName
   */
  String dbUserName();

  /**
   * Translated "Home".
   * 
   * @return translated "Home"
   * @gwt.key home
   */
  String home();

  /**
   * Translated "Attempt to initialize the Recurrence Dialog with an invalid CRON string: {0}. Error details: {1}.".
   * 
   * @return translated "Attempt to initialize the Recurrence Dialog with an invalid CRON string: {0}. Error details: {1}."
   * @gwt.key invalidCronInInitOfRecurrenceDialog
   */
  String invalidCronInInitOfRecurrenceDialog(String arg0,  String arg1);

  /**
   * Translated "Delete Users".
   * 
   * @return translated "Delete Users"
   * @gwt.key deleteUsers
   */
  String deleteUsers();

  /**
   * Translated "User already exists.".
   * 
   * @return translated "User already exists."
   * @gwt.key userAlreadyExist
   */
  String userAlreadyExist();

  /**
   * Translated "Illegal to call recurrenceStringToCronStr with a RecurrenceType of Unknown.".
   * 
   * @return translated "Illegal to call recurrenceStringToCronStr with a RecurrenceType of Unknown."
   * @gwt.key illegalRecurrenceTypeUnknown
   */
  String illegalRecurrenceTypeUnknown();

  /**
   * Translated "Security".
   * 
   * @return translated "Security"
   * @gwt.key security
   */
  String security();

  /**
   * Translated "minute(s)".
   * 
   * @return translated "minute(s)"
   * @gwt.key minutesLabel
   */
  String minutesLabel();

  /**
   * Translated "MMM dd, yyyy HH:mm:ss a".
   * 
   * @return translated "MMM dd, yyyy HH:mm:ss a"
   * @gwt.key dateFormatLongMedium
   */
  String dateFormatLongMedium();

  /**
   * Translated "Edit schedule".
   * 
   * @return translated "Edit schedule"
   * @gwt.key editSchedule
   */
  String editSchedule();

  /**
   * Translated "Password does not match password confirmation.".
   * 
   * @return translated "Password does not match password confirmation."
   * @gwt.key passwordConfirmationFailed
   */
  String passwordConfirmationFailed();

  /**
   * Translated "User Name".
   * 
   * @return translated "User Name"
   * @gwt.key userName
   */
  String userName();

  /**
   * Translated "Click to edit users.".
   * 
   * @return translated "Click to edit users."
   * @gwt.key clickEditUsers
   */
  String clickEditUsers();

  /**
   * Translated "User does not exist: {0}".
   * 
   * @return translated "User does not exist: {0}"
   * @gwt.key userDoesNotExist
   */
  String userDoesNotExist(String arg0);

  /**
   * Translated "Available".
   * 
   * @return translated "Available"
   * @gwt.key availableItemsTitle
   */
  String availableItemsTitle();

  /**
   * Translated "BI Server is available.".
   * 
   * @return translated "BI Server is available."
   * @gwt.key biServerAlive
   */
  String biServerAlive();

  /**
   * Translated "Public Schedule - Allow users access to this schedule".
   * 
   * @return translated "Public Schedule - Allow users access to this schedule"
   * @gwt.key scheduleTypeCheckboxLabel
   */
  String scheduleTypeCheckboxLabel();

  /**
   * Translated "Invalid connection name.".
   * 
   * @return translated "Invalid connection name."
   * @gwt.key invalidConnectionName
   */
  String invalidConnectionName();

  /**
   * Translated "Yearly".
   * 
   * @return translated "Yearly"
   * @gwt.key yearly
   */
  String yearly();

  /**
   * Translated "second(s)".
   * 
   * @return translated "second(s)"
   * @gwt.key secondsLabel
   */
  String secondsLabel();

  /**
   * Translated "BI Server is is NOT available.".
   * 
   * @return translated "BI Server is is NOT available."
   * @gwt.key biServerDead
   */
  String biServerDead();

  /**
   * Translated "Error: onClick() trying to handle unrecognized widget.".
   * 
   * @return translated "Error: onClick() trying to handle unrecognized widget."
   * @gwt.key invalidToggleButton
   */
  String invalidToggleButton();

  /**
   * Translated "Missing database URL.".
   * 
   * @return translated "Missing database URL."
   * @gwt.key missingDbUrl
   */
  String missingDbUrl();

  /**
   * Translated "Click to edit roles.".
   * 
   * @return translated "Click to edit roles."
   * @gwt.key clickEditRoles
   */
  String clickEditRoles();

  /**
   * Translated "Select".
   * 
   * @return translated "Select"
   * @gwt.key selectTitleBarLabel
   */
  String selectTitleBarLabel();

  /**
   * Translated "Audit Report".
   * 
   * @return translated "Audit Report"
   * @gwt.key openAuditReport
   */
  String openAuditReport();

  /**
   * Translated "Role creation failed: {0}".
   * 
   * @return translated "Role creation failed: {0}"
   * @gwt.key roleCreationFailed
   */
  String roleCreationFailed(String arg0);

  /**
   * Translated "Schedule with name "{0}" already exists. Select another name.".
   * 
   * @return translated "Schedule with name "{0}" already exists. Select another name."
   * @gwt.key scheduleNameAlreadyExists
   */
  String scheduleNameAlreadyExists(String arg0);

  /**
   * Translated "Yes".
   * 
   * @return translated "Yes"
   * @gwt.key yes
   */
  String yes();

  /**
   * Translated "Suspended".
   * 
   * @return translated "Suspended"
   * @gwt.key stateSuspended
   */
  String stateSuspended();

  /**
   * Translated "All Jobs Resumed".
   * 
   * @return translated "All Jobs Resumed"
   * @gwt.key allJobsResumed
   */
  String allJobsResumed();

  /**
   * Translated "Password".
   * 
   * @return translated "Password"
   * @gwt.key password
   */
  String password();

  /**
   * Translated "getDayOfMonth() not valid for recurrence type: {0}.".
   * 
   * @return translated "getDayOfMonth() not valid for recurrence type: {0}."
   * @gwt.key invalidDayOfMonthForRecurrenceType
   */
  String invalidDayOfMonthForRecurrenceType(String arg0);

  /**
   * Translated "Unrecognized ScheduleType in RecurrenceEditor.isValid(): {0}.".
   * 
   * @return translated "Unrecognized ScheduleType in RecurrenceEditor.isValid(): {0}."
   * @gwt.key unrecognizedSchedType
   */
  String unrecognizedSchedType(String arg0);

  /**
   * Translated "If any of the fields are left empty, platform will use the default values stored in the pentaho.xml for connection pooling.".
   * 
   * @return translated "If any of the fields are left empty, platform will use the default values stored in the pentaho.xml for connection pooling."
   * @gwt.key datasourceAdvanceInfo
   */
  String datasourceAdvanceInfo();

  /**
   * Translated "Hours token must be an integer between 0 and 23, but it is: {0}.".
   * 
   * @return translated "Hours token must be an integer between 0 and 23, but it is: {0}."
   * @gwt.key invalidHoursToken
   */
  String invalidHoursToken(String arg0);

  /**
   * Translated "Status".
   * 
   * @return translated "Status"
   * @gwt.key status
   */
  String status();

  /**
   * Translated "Scheduler".
   * 
   * @return translated "Scheduler"
   * @gwt.key scheduler
   */
  String scheduler();

  /**
   * Translated "Invalid token, must be an integer: {0}.".
   * 
   * @return translated "Invalid token, must be an integer: {0}."
   * @gwt.key invalidIntegerToken
   */
  String invalidIntegerToken(String arg0);

  /**
   * Translated "Minutes".
   * 
   * @return translated "Minutes"
   * @gwt.key minutes
   */
  String minutes();

  /**
   * Translated "Run Once".
   * 
   * @return translated "Run Once"
   * @gwt.key runOnce
   */
  String runOnce();

  /**
   * Translated "Role does not exist: {0} ".
   * 
   * @return translated "Role does not exist: {0} "
   * @gwt.key roleDoesNotExist
   */
  String roleDoesNotExist(String arg0);

  /**
   * Translated "Invalid recurrenceType: {0}.  ".
   * 
   * @return translated "Invalid recurrenceType: {0}.  "
   * @gwt.key invalidRecurrenceType
   */
  String invalidRecurrenceType(String arg0);

  /**
   * Translated "Invalid String for temporal value: {0}".
   * 
   * @return translated "Invalid String for temporal value: {0}"
   * @gwt.key invalidTemporalValue
   */
  String invalidTemporalValue(String arg0);

  /**
   * Translated "Users & Roles".
   * 
   * @return translated "Users & Roles"
   * @gwt.key usersAndRoles
   */
  String usersAndRoles();

  /**
   * Translated "Are you sure you want to stop the console?".
   * 
   * @return translated "Are you sure you want to stop the console?"
   * @gwt.key confirmStopServerMsg
   */
  String confirmStopServerMsg();

  /**
   * Translated "Schedule Creator".
   * 
   * @return translated "Schedule Creator"
   * @gwt.key scheduleCreator
   */
  String scheduleCreator();

  /**
   * Translated "Update Role".
   * 
   * @return translated "Update Role"
   * @gwt.key updateRole
   */
  String updateRole();

  /**
   * Translated "Assigned Roles".
   * 
   * @return translated "Assigned Roles"
   * @gwt.key assignedRoles
   */
  String assignedRoles();
  
  /**
   * Translated "Assign Roles".
   * 
   * @return translated "Assign Roles"
   * @gwt.key assignRoles
   */
  String assignRoles();

  /**
   * Translated "Unassign Roles".
   * 
   * @return translated "Unassign Roles"
   * @gwt.key unassignRoles
   */
  String unassignRoles();

  
  /**
   * Translated "Services".
   * 
   * @return translated "Services"
   * @gwt.key services
   */
  String services();

  /**
   * Translated "Are your sure you want to delete the selected roles?".
   * 
   * @return translated "Are your sure you want to delete the selected roles?"
   * @gwt.key confirmRoleDeletionMsg
   */
  String confirmRoleDeletionMsg();

  /**
   * Translated "Are you sure you want to delete all checked schedules? There are {0} users subscribed to this schedule.".
   * 
   * @return translated "Are you sure you want to delete all checked schedules? There are {0} users subscribed to this schedule."
   * @gwt.key confirmDeleteQuestion
   */
  String confirmDeleteQuestion(String arg0);

  /**
   * Translated "Name:".
   * 
   * @return translated "Name:"
   * @gwt.key nameColon
   */
  String nameColon();

  /**
   * Translated "Private".
   * 
   * @return translated "Private"
   * @gwt.key notApplicable
   */
  String notApplicable();

  /**
   * Translated "Day of month must be a number between 1 and 31.".
   * 
   * @return translated "Day of month must be a number between 1 and 31."
   * @gwt.key dayOfMonthMustBeBetween
   */
  String dayOfMonthMustBeBetween();

  /**
   * Translated "No schedules.".
   * 
   * @return translated "No schedules."
   * @gwt.key noSchedules
   */
  String noSchedules();

  /**
   * Translated "None".
   * 
   * @return translated "None"
   * @gwt.key XmlSerializer.stateNone
   */
  String XmlSerializer_stateNone();

  /**
   * Translated "Error Creating Data Source".
   * 
   * @return translated "Error Creating Data Source"
   * @gwt.key errorCreatingDataSource
   */
  String errorCreatingDataSource();

  /**
   * Translated "Invalid TemporalValue in getCronString(): {0}".
   * 
   * @return translated "Invalid TemporalValue in getCronString(): {0}"
   * @gwt.key invalidTemporalValueInGetCronString
   */
  String invalidTemporalValueInGetCronString(String arg0);

  /**
   * Translated "Only allowed to specify one action sequence.".
   * 
   * @return translated "Only allowed to specify one action sequence."
   * @gwt.key onlyOneActionSequence
   */
  String onlyOneActionSequence();

  /**
   * Translated "The".
   * 
   * @return translated "The"
   * @gwt.key the
   */
  String the();

  /**
   * Translated "Group:".
   * 
   * @return translated "Group:"
   * @gwt.key groupColon
   */
  String groupColon();

  /**
   * Translated "Hours must be a number <= {0}.".
   * 
   * @return translated "Hours must be a number <= {0}."
   * @gwt.key mustBeHoursRange
   */
  String mustBeHoursRange(String arg0);

  /**
   * Translated "of".
   * 
   * @return translated "of"
   * @gwt.key of
   */
  String of();

  /**
   * Translated "Day".
   * 
   * @return translated "Day"
   * @gwt.key day
   */
  String day();

  /**
   * Translated "No".
   * 
   * @return translated "No"
   * @gwt.key no
   */
  String no();

  /**
   * Translated "Please specify a name.".
   * 
   * @return translated "Please specify a name."
   * @gwt.key specifyName
   */
  String specifyName();

  /**
   * Translated "Actions".
   * 
   * @return translated "Actions"
   * @gwt.key actions
   */
  String actions();

  /**
   * Translated "Administration".
   * 
   * @return translated "Administration"
   * @gwt.key administration
   */
  String administration();

  /**
   * Translated "Roles".
   * 
   * @return translated "Roles"
   * @gwt.key roles
   */
  String roles();

  /**
   * Translated "Select".
   * 
   * @return translated "Select"
   * @gwt.key selectBtnLabel
   */
  String selectBtnLabel();

  /**
   * Translated "Please specify a start date.".
   * 
   * @return translated "Please specify a start date."
   * @gwt.key specifyStartDate
   */
  String specifyStartDate();

  /**
   * Translated "Number of Idle Connections:".
   * 
   * @return translated "Number of Idle Connections:"
   * @gwt.key numIdleDbConnnections
   */
  String numIdleDbConnnections();

  /**
   * Translated "Scheduler Status".
   * 
   * @return translated "Scheduler Status"
   * @gwt.key schedulerStatus
   */
  String schedulerStatus();

  /**
   * Translated "Invalid String for time of day value: {0}. ".
   * 
   * @return translated "Invalid String for time of day value: {0}. "
   * @gwt.key invalidStringForTimeOfDay
   */
  String invalidStringForTimeOfDay(String arg0);

  /**
   * Translated "Action sequence list cannot be empty.".
   * 
   * @return translated "Action sequence list cannot be empty."
   * @gwt.key actionSequenceCannotBeEmpty
   */
  String actionSequenceCannotBeEmpty();

  /**
   * Translated "Are your sure you want to remove the selected user(s) from the selected role(s)?".
   * 
   * @return translated "Are your sure you want to remove the selected user(s) from the selected role(s)?"
   * @gwt.key confirmUnassignUsersMsg
   */
  String confirmUnassignUsersMsg();

  /**
   * Translated "Are your sure you want to remove the selected role(s) from the selected user(s)?".
   * 
   * @return translated "Are your sure you want to remove the selected role(s) from the selected user(s)?"
   * @gwt.key confirmUnassignRolesMsg
   */
  String confirmUnassignRolesMsg();
  
  /**
   * Translated "Purge Mondrian Schema Cache".
   * 
   * @return translated "Purge Mondrian Schema Cache"
   * @gwt.key purgeMondrianSchemaCache
   */
  String purgeMondrianSchemaCache();

  /**
   * Translated "Every weekday".
   * 
   * @return translated "Every weekday"
   * @gwt.key everyWeekDay
   */
  String everyWeekDay();

  /**
   * Translated "All Jobs Suspended".
   * 
   * @return translated "All Jobs Suspended"
   * @gwt.key allJobsSuspended
   */
  String allJobsSuspended();

  /**
   * Translated "Minues must be a number <= {0}.".
   * 
   * @return translated "Minues must be a number <= {0}."
   * @gwt.key mustBeMinutesRange
   */
  String mustBeMinutesRange(String arg0);

  /**
   * Translated "Hours".
   * 
   * @return translated "Hours"
   * @gwt.key hours
   */
  String hours();

  /**
   * Translated "Delete Job".
   * 
   * @return translated "Delete Job"
   * @gwt.key deleteJob
   */
  String deleteJob();

  /**
   * Translated "Start Time:".
   * 
   * @return translated "Start Time:"
   * @gwt.key startTimeColon
   */
  String startTimeColon();

  /**
   * Translated "Please specify an end date.".
   * 
   * @return translated "Please specify an end date."
   * @gwt.key specifyEndDate
   */
  String specifyEndDate();

  /**
   * Translated "must be a number greater than 0 and less than 2147483647".
   * 
   * @return translated "must be a number greater than 0 and less than 2147483647"
   * @gwt.key mustBeIntegerRange
   */
  String mustBeIntegerRange();

  /**
   * Translated "Delete Roles".
   * 
   * @return translated "Delete Roles"
   * @gwt.key deleteRoles
   */
  String deleteRoles();

  /**
   * Translated "Invalid recurrence string: {0}".
   * 
   * @return translated "Invalid recurrence string: {0}"
   * @gwt.key invalidRecurrenceString
   */
  String invalidRecurrenceString(String arg0);

  /**
   * Translated "Server Status:".
   * 
   * @return translated "Server Status:"
   * @gwt.key toolbarStatus
   */
  String toolbarStatus();

  /**
   * Translated "Remove Stale Conent".
   * 
   * @return translated "Remove Stale Conent"
   * @gwt.key removeStaleContent
   */
  String removeStaleContent();

  /**
   * Translated "Open".
   * 
   * @return translated "Open"
   * @gwt.key openBtnLabel
   */
  String openBtnLabel();

  /**
   * Translated "Please specify a group name.".
   * 
   * @return translated "Please specify a group name."
   * @gwt.key specifyGroupName
   */
  String specifyGroupName();

  /**
   * Translated "Please specify a description.".
   * 
   * @return translated "Please specify a description."
   * @gwt.key specifyDescription
   */
  String specifyDescription();
  
  /**
   * Translated "getWhichWeekOfMonth() not valid for recurrence type: {0}.".
   * 
   * @return translated "getWhichWeekOfMonth() not valid for recurrence type: {0}."
   * @gwt.key invalidWeekOfMonthForRecurrenceType
   */
  String invalidWeekOfMonthForRecurrenceType(String arg0);

  /**
   * Translated "Recurrence pattern".
   * 
   * @return translated "Recurrence pattern"
   * @gwt.key recurrencePattern
   */
  String recurrencePattern();

  /**
   * Translated "Invalid role name.;".
   * 
   * @return translated "Invalid role name.;"
   * @gwt.key invalidRoleName
   */
  String invalidRoleName();

  /**
   * Translated "Refresh Solution Repository".
   * 
   * @return translated "Refresh Solution Repository"
   * @gwt.key refreshSolutionRepository
   */
  String refreshSolutionRepository();

  /**
   * Translated "day(s)".
   * 
   * @return translated "day(s)"
   * @gwt.key daysLabel
   */
  String daysLabel();

  /**
   * Translated "Minute token must be an integer between 0 and 59, but it is: {0}. ".
   * 
   * @return translated "Minute token must be an integer between 0 and 59, but it is: {0}. "
   * @gwt.key invalidMinutesToken
   */
  String invalidMinutesToken(String arg0);

  /**
   * Translated "Remove Users".
   * 
   * @return translated "Remove Users"
   * @gwt.key removeUsers
   */
  String removeUsers();

  /**
   * Translated "Maximum Active Connections:".
   * 
   * @return translated "Maximum Active Connections:"
   * @gwt.key maxActiveDbConnections
   */
  String maxActiveDbConnections();

  /**
   * Translated "Illegal state, must have either a cron string or a repeat time.".
   * 
   * @return translated "Illegal state, must have either a cron string or a repeat time."
   * @gwt.key illegalStateMissingCronAndRepeat
   */
  String illegalStateMissingCronAndRepeat();

  /**
   * Translated "Resume".
   * 
   * @return translated "Resume"
   * @gwt.key resume
   */
  String resume();

  /**
   * Translated "Selected Files".
   * 
   * @return translated "Selected Files"
   * @gwt.key selectedFilesTabLabel
   */
  String selectedFilesTabLabel();

  /**
   * Translated "Comma separated list of action sequence paths:".
   * 
   * @return translated "Comma separated list of action sequence paths:"
   * @gwt.key commaSeparatedList
   */
  String commaSeparatedList();

  /**
   * Translated "OK".
   * 
   * @return translated "OK"
   * @gwt.key ok
   */
  String ok();

  /**
   * Translated "Cause".
   * 
   * @return translated "Cause"
   * @gwt.key cause
   */
  String cause();

  /**
   * Translated "Restore Default File Permissions".
   * 
   * @return translated "Restore Default File Permissions"
   * @gwt.key restoreDefaultFilePermissions
   */
  String restoreDefaultFilePermissions();

  /**
   * Translated "Console Shutdown".
   * 
   * @return translated "Console Shutdown"
   * @gwt.key stoppingServerConfirmation
   */
  String stoppingServerConfirmation();

  /**
   * Translated "Role Name".
   * 
   * @return translated "Role Name"
   * @gwt.key roleName
   */
  String roleName();

  /**
   * Translated "Resume All Jobs".
   * 
   * @return translated "Resume All Jobs"
   * @gwt.key resumeAllJobs
   */
  String resumeAllJobs();

  /**
   * Translated "Working...".
   * 
   * @return translated "Working..."
   * @gwt.key working
   */
  String working();

  /**
   * Translated "Monthly".
   * 
   * @return translated "Monthly"
   * @gwt.key monthly
   */
  String monthly();

  /**
   * Translated "Missing user name.".
   * 
   * @return translated "Missing user name."
   * @gwt.key missingDbUserName
   */
  String missingDbUserName();

  /**
   * Translated "Execute Global Actions".
   * 
   * @return translated "Execute Global Actions"
   * @gwt.key executeGlobalActions
   */
  String executeGlobalActions();

  /**
   * Translated "Schedule Editor".
   * 
   * @return translated "Schedule Editor"
   * @gwt.key scheduleEditor
   */
  String scheduleEditor();

  /**
   * Translated "Check to select all rows".
   * 
   * @return translated "Check to select all rows"
   * @gwt.key checkToSelectAll
   */
  String checkToSelectAll();

  /**
   * Translated "Are your sure you want to delete the selected users? Restart of a PCI will be required for this change to take effect in the PCI".
   * 
   * @return translated "Are your sure you want to delete the selected users? Restart of a PCI will be required for this change to take effect in the PCI"
   * @gwt.key confirmUserDeletionMsg
   */
  String confirmUserDeletionMsg();

  /**
   * Translated "Unrecognized ScheduleType in ScheduleEditorValidator.isValid(): {0}.".
   * 
   * @return translated "Unrecognized ScheduleType in ScheduleEditorValidator.isValid(): {0}."
   * @gwt.key unrecognizedSchedTypeInValidator
   */
  String unrecognizedSchedTypeInValidator(String arg0);

  /**
   * Translated "Start:".
   * 
   * @return translated "Start:"
   * @gwt.key startLabel
   */
  String startLabel();

  /**
   * Translated "Days {0}.".
   * 
   * @return translated "Days {0}."
   * @gwt.key days
   */
  String days(String arg0);

  /**
   * Translated "Update of the schedule failed. It is likely that the schedule you were trying to update has been deleted. If so, please create a new schedule.".
   * 
   * @return translated "Update of the schedule failed. It is likely that the schedule you were trying to update has been deleted. If so, please create a new schedule."
   * @gwt.key updateFailedScheduleLost
   */
  String updateFailedScheduleLost();

  /**
   * Translated "Start Date:".
   * 
   * @return translated "Start Date:"
   * @gwt.key startDate
   */
  String startDate();

  /**
   * Translated "Recur every week on:".
   * 
   * @return translated "Recur every week on:"
   * @gwt.key recurEveryWeek
   */
  String recurEveryWeek();

  /**
   * Translated "Error Updating Data Source".
   * 
   * @return translated "Error Updating Data Source"
   * @gwt.key errorUpdatingDataSource
   */
  String errorUpdatingDataSource();

  /**
   * Translated "Name:".
   * 
   * @return translated "Name:"
   * @gwt.key jndiName
   */
  String jndiName();

  /**
   * Translated "hour(s)".
   * 
   * @return translated "hour(s)"
   * @gwt.key hoursLabel
   */
  String hoursLabel();

  /**
   * Translated "One or more days must be checked.".
   * 
   * @return translated "One or more days must be checked."
   * @gwt.key oneOrMoreMustBeChecked
   */
  String oneOrMoreMustBeChecked();

  /**
   * Translated "Add Data Source".
   * 
   * @return translated "Add Data Source"
   * @gwt.key addDataSource
   */
  String addDataSource();

  /**
   * Translated "Daily".
   * 
   * @return translated "Daily"
   * @gwt.key daily
   */
  String daily();

  /**
   * Translated "Seconds".
   * 
   * @return translated "Seconds"
   * @gwt.key seconds
   */
  String seconds();

  /**
   * Translated "Console Shutdown".
   * 
   * @return translated "Console Shutdown"
   * @gwt.key consoleShutdown
   */
  String consoleShutdown();

  /**
   * Translated "Are your sure you want to delete the selected Data Source(s)? If you are using connection pooling in the platform, it will require a server restart inorder for this change to take effect.".
   * 
   * @return translated "Are your sure you want to delete the selected Data Source(s)? If you are using connection pooling in the platform, it will require a server restart inorder for this change to take effect."
   * @gwt.key confirmDataSourceDeletionMsg
   */
  String confirmDataSourceDeletionMsg();

  /**
   * Translated "Unable to load Home page, reason: {0}".
   * 
   * @return translated "Unable to load Home page, reason: {0}"
   * @gwt.key failedToLoadHome
   */
  String failedToLoadHome(String arg0);

  /**
   * Translated "Start Time".
   * 
   * @return translated "Start Time"
   * @gwt.key startTime
   */
  String startTime();

  /**
   * Translated "Click to edit advanced.".
   * 
   * @return translated "Click to edit advanced."
   * @gwt.key clickEditAdvance
   */
  String clickEditAdvance();

  /**
   * Translated "getWhichMonthOfYear() not valid for recurrence type: {0}. ".
   * 
   * @return translated "getWhichMonthOfYear() not valid for recurrence type: {0}. "
   * @gwt.key invalidMonthOfYearForRecurrenceType
   */
  String invalidMonthOfYearForRecurrenceType(String arg0);

  /**
   * Translated "Can not assign non-existing user to role: {0}".
   * 
   * @return translated "Can not assign non-existing user to role: {0}"
   * @gwt.key cantAssignNonexistingUserToRole
   */
  String cantAssignNonexistingUserToRole(String arg0);

  /**
   * Translated "Range of recurrence".
   * 
   * @return translated "Range of recurrence"
   * @gwt.key rangeOfRecurrence
   */
  String rangeOfRecurrence();

  /**
   * Translated "Invalid TemporalValue in getRepeatInSecs(): {0}".
   * 
   * @return translated "Invalid TemporalValue in getRepeatInSecs(): {0}"
   * @gwt.key invalidTemporalValueInGetRepeatInSecs
   */
  String invalidTemporalValueInGetRepeatInSecs(String arg0);

  /**
   * Translated "Successfully Deleted the selected Data Source(s).".
   * 
   * @return translated "Successfully Deleted the selected Data Source(s)."
   * @gwt.key successfulDataSourceDelete
   */
  String successfulDataSourceDelete();

  /**
   * Translated "Data Sources".
   * 
   * @return translated "Data Sources"
   * @gwt.key dataSources
   */
  String dataSources();

  /**
   * Translated "Cron string is invalid.".
   * 
   * @return translated "Cron string is invalid."
   * @gwt.key invalidCronString
   */
  String invalidCronString();

  /**
   * Translated "Refresh schedule list".
   * 
   * @return translated "Refresh schedule list"
   * @gwt.key refreshScheduleList
   */
  String refreshScheduleList();

  /**
   * Translated "Invalid number of tokens.".
   * 
   * @return translated "Invalid number of tokens."
   * @gwt.key invalidNumTokens
   */
  String invalidNumTokens();

  /**
   * Translated "Cron".
   * 
   * @return translated "Cron"
   * @gwt.key cron
   */
  String cron();

  /**
   * Translated "Not running".
   * 
   * @return translated "Not running"
   * @gwt.key notRunning
   */
  String notRunning();

  /**
   * Translated "Click to add general.".
   * 
   * @return translated "Click to add general."
   * @gwt.key clickAddGeneral
   */
  String clickAddGeneral();

  /**
   * Translated "Description".
   * 
   * @return translated "Description"
   * @gwt.key description
   */
  String description();

  /**
   * Translated "There seems to not be any radio button selected, which is theoretically impossible.".
   * 
   * @return translated "There seems to not be any radio button selected, which is theoretically impossible."
   * @gwt.key noRadioBtnsSelected
   */
  String noRadioBtnsSelected();

  /**
   * Translated "Suspend All Jobs".
   * 
   * @return translated "Suspend All Jobs"
   * @gwt.key suspendAllJobs
   */
  String suspendAllJobs();

  /**
   * Translated "Seconds must be a number <= {0}.".
   * 
   * @return translated "Seconds must be a number <= {0}."
   * @gwt.key mustBeSecondsRange
   */
  String mustBeSecondsRange(String arg0);

  /**
   * Translated "Delete schedule(s)".
   * 
   * @return translated "Delete schedule(s)"
   * @gwt.key deleteSchedules
   */
  String deleteSchedules();

  /**
   * Translated "Help".
   * 
   * @return translated "Help"
   * @gwt.key help
   */
  String help();
  
  /**
   * Translated "Reset Server".
   * 
   * @return translated "Reset Server"
   * @gwt.key resetServer
   */
  String resetServer();
  
  /**
   * Translated "Content Repository (Remove old files)".
   * 
   * @return translated "Content Repository (Remove old files)"
   * @gwt.key contentRepositoryCleaning
   */
  String contentRepositoryCleaning();
  
  /**
   * Translated "Solution Repository".
   * 
   * @return translated "Solution Repository"
   * @gwt.key solutionRepository
   */
  String solutionRepository();
  
  /**
   * Translated "Refresh BI Server".
   * 
   * @return translated "Refresh BI Server"
   * @gwt.key refreshBiServer
   */
  String refreshBiServer();
  /**
   * Translated "Error initializing PAC service".
   * 
   * @return translated "Error initializing PAC service"
   * @gwt.key errorInitializingPacService
   */  
  String errorInitializingPacService();
  
  /**
   * Translated "Could not add default roles.".
   * 
   * @return translated "Could not add default roles"
   * @gwt.key addDefaultRolesFailed
   */  
  String addDefaultRolesFailed();
  
  /**
   * Translated "Administration Console Help"
   * 
   * @return translated "Administration Console Help"
   * @get.key helpWindowTitle
   */
  String helpWindowTitle();

/**
 * Translated "Resetting repository..."
 * 
 * @return translated "Resetting repository..."
 * @get.key resettingRepository
 */
String resettingRepository();


/**
 * Translated "Resetting repository..."
 * 
 * @return translated "Resetting repository..."
 * @get.key resetRepositorySuccess
 */
String resetRepositorySuccess();


/**
 * Translated "Repository reset failed:"
 * 
 * @return translated "Repository reset failed:"
 * @get.key resetRepositoryFailed
 */
String resetRepositoryFailed(String arg0);


/**
 * Translated "Success"
 * 
 * @return translated "Success"
 * @get.key success
 */
String success();

/**
 * Translated "UserGuide"
 * 
 * @return translated "UserGuide"
 * @get.key userGuide
 */
String userGuide();

/**
 * Translated "Common Tasks"
 * 
 * @return translated "Common Tasks"
 * @get.key commonTasks
 */
String commonTasks();

/**
 * Translated "size of lists must be identical"
 * 
 * @return translated "size of lists must be identical"
 * @get.key sizeListMustBeIdentical
 */
String sizeListMustBeIdentical();

/**
 * Translated "Loading an invalid schedule:"
 * 
 * @return translated "Loading an invalid schedule:"
 * @get.key loadingInvalidSchedule
 */
String loadingInvalidSchedule(String arg0);
  
  /**
   * Translated "Error Getting Status Data"
   * 
   * @return translated "Error Getting Status Data"
   * @get.key errorGettingStatusData
   */
  String errorGettingStatusData();
  
  
  /**
   * Translated "Error testing datasource connection"
   * 
   * @return translated "Error testing datasource connection"
   * @get.key errorTestingDataSourceConnection
   */
  String errorTestingDataSourceConnection();
  
  /**
   * Translated "Error creating role"
   * 
   * @return translated "Error creating role"
   * @get.key errorCreatingRole
   */
  String errorCreatingRole();

  /**
   * Translated "Error assigning selected roles"
   * 
   * @return translated "Error assigning selected roles"
   * @get.key errorAssigningSelectedRoles
   */
  String errorAssigningSelectedRoles();

  /**
  * Translated "Error unassigning selected users from role"
  * 
  * @return translated "Error unassigning selected users from role"
  * @get.key errorUnassigningSelectedUsersFromRole
  */
  String errorUnassigningSelectedUsersFromRole();

  /**
  * Translated "Error deleting roles"
  * 
  * @return translated "Error deleting roles"
  * @get.key errorDeletingRoles
  */
  String errorDeletingRoles();
  /**
   * Translated "Error updating role"
   * 
   * @return translated "Error updating role"
   * @get.key errorUpdatingRole
   */
   String errorUpdatingRole();
   /**
    * Translated "Error getting homepage"
    * 
    * @return translated "Error getting homepage"
    * @get.key errorGettingHomepage
    */   
   String errorGettingHomepage();
   /**
    * Translated "Error creating user"
    * 
    * @return translated "Error creating user"
    * @get.key errorCreatingUser
    */      
   String errorCreatingUser();
   /**
    * Translated "Error adding roles for a user"
    * 
    * @return translated "Error adding roles for a user"
    * @get.key errorAddingRolesForUser
    */   
   String errorAddingRolesForUser();

   /**
   * Translated "Error assigning selected users"
   * 
   * @return translated "Error assigning selected users"
   * @get.key errorAssigningSelectedUsers
   */   
   String errorAssigningSelectedUsers();

   /**
    * Translated "Error updating a user"
    * 
    * @return translated "Error updating a user"
    * @get.key errorUpdatingUser
    */   
   String errorUpdatingUser();
   /**
    * Translated "Error unassigning roles for a user"
    * 
    * @return translated "Error unassigning roles for a user"
    * @get.key errorUnassigningRoles
    */   
   String errorUnassigningRoles();
   /**
    * Translated "Error deleting users"
    * 
    * @return translated "Error deleting users"
    * @get.key errorDeletingUsers
    */   
   String errorDeletingUsers();
   /**
    * Translated "Administration Console configuration is not valid. 
    * Please correct the configuration in console.xml and restart 
    * administration console"
    * 
    * @return translated "Administration Console configuration is not valid. 
    * Please correct the configuration in console.xml and restart administration console"
    * @get.key notValidConfiguration
    */      
   String notValidConfiguration();
      /**
    * Translated "Invalid Configuration"
    * 
    * @return translated "Invalid Configuration"
    * @get.key invalidConfiguration
    */      
   String invalidConfiguration();
}
