package org.pentaho.pac.client.i18n;

import com.google.gwt.i18n.client.Messages;


/**
 * Interface to represent the messages contained in resource  bundle:
 * 	C:/code/platform/pentaho-open-admin-console/src/org/pentaho/pac/client/i18n/PacLocalizedMessages.properties'.
 */
public interface PacLocalizedMessages extends Messages {
  
  /**
   * Translated "Assigned Roles".
   * 
   * @return translated "Assigned Roles"
   * @gwt.key assignedRoles
   */
  String assignedRoles();

  /**
   * Translated "Refresh Solution Repository".
   * 
   * @return translated "Refresh Solution Repository"
   * @gwt.key refreshSolutionRepository
   */
  String refreshSolutionRepository();

  /**
   * Translated "Missing database URL.".
   * 
   * @return translated "Missing database URL."
   * @gwt.key missingDbUrl
   */
  String missingDbUrl();

  /**
   * Translated "Remove Stale Conent".
   * 
   * @return translated "Remove Stale Conent"
   * @gwt.key removeStaleContent
   */
  String removeStaleContent();

  /**
   * Translated "Test".
   * 
   * @return translated "Test"
   * @gwt.key test
   */
  String test();

  /**
   * Translated "No".
   * 
   * @return translated "No"
   * @gwt.key no
   */
  String no();

  /**
   * Translated "Click to edit advance.".
   * 
   * @return translated "Click to edit advance."
   * @gwt.key clickEditAdvance
   */
  String clickEditAdvance();

  /**
   * Translated "Add User".
   * 
   * @return translated "Add User"
   * @gwt.key addUser
   */
  String addUser();

  /**
   * Translated "User already exists.".
   * 
   * @return translated "User already exists."
   * @gwt.key userAlreadyExist
   */
  String userAlreadyExist();

  /**
   * Translated "Missing database driver class.".
   * 
   * @return translated "Missing database driver class."
   * @gwt.key missingDbDriver
   */
  String missingDbDriver();

  /**
   * Translated "Missing user name.".
   * 
   * @return translated "Missing user name."
   * @gwt.key missingDbUserName
   */
  String missingDbUserName();

  /**
   * Translated "OK".
   * 
   * @return translated "OK"
   * @gwt.key ok
   */
  String ok();

  /**
   * Translated "Invalid connection name.".
   * 
   * @return translated "Invalid connection name."
   * @gwt.key invalidConnectionName
   */
  String invalidConnectionName();

  /**
   * Translated "Working...".
   * 
   * @return translated "Working..."
   * @gwt.key working
   */
  String working();

  /**
   * Translated "Refresh System Settings".
   * 
   * @return translated "Refresh System Settings"
   * @gwt.key refreshSystemSettings
   */
  String refreshSystemSettings();

  /**
   * Translated "Are your sure you want to remove the selected user(s) from the selected role(s)?".
   * 
   * @return translated "Are your sure you want to remove the selected user(s) from the selected role(s)?"
   * @gwt.key confirmRemoveRoleAssignmentMsg
   */
  String confirmRemoveRoleAssignmentMsg();

  /**
   * Translated "Are your sure you want to delete the selected users?".
   * 
   * @return translated "Are your sure you want to delete the selected users?"
   * @gwt.key confirmUserDeletionMsg
   */
  String confirmUserDeletionMsg();

  /**
   * Translated "Services".
   * 
   * @return translated "Services"
   * @gwt.key services
   */
  String services();

  /**
   * Translated "Resume and suspend all jobs. Resume, suspend, delete, and run individual jobs.".
   * 
   * @return translated "Resume and suspend all jobs. Resume, suspend, delete, and run individual jobs."
   * @gwt.key schedulerUserInstruction
   */
  String schedulerUserInstruction();

  /**
   * Translated "Suspend All Jobs".
   * 
   * @return translated "Suspend All Jobs"
   * @gwt.key suspendAllJobs
   */
  String suspendAllJobs();

  /**
   * Translated "Scheduler Status".
   * 
   * @return translated "Scheduler Status"
   * @gwt.key schedulerStatus
   */
  String schedulerStatus();

  /**
   * Translated "Loading...".
   * 
   * @return translated "Loading..."
   * @gwt.key loading
   */
  String loading();

  /**
   * Translated "Are you sure you want to delete this job?".
   * 
   * @return translated "Are you sure you want to delete this job?"
   * @gwt.key areYouSure
   */
  String areYouSure();

  /**
   * Translated "All Jobs Resumed".
   * 
   * @return translated "All Jobs Resumed"
   * @gwt.key allJobsResumed
   */
  String allJobsResumed();

  /**
   * Translated "Click to add advance.".
   * 
   * @return translated "Click to add advance."
   * @gwt.key clickAddAdvance
   */
  String clickAddAdvance();

  /**
   * Translated "Fire Time - Last / Next".
   * 
   * @return translated "Fire Time - Last / Next"
   * @gwt.key fireTimeLastNext
   */
  String fireTimeLastNext();

  /**
   * Translated ""Successfully Deleted the selected datasource(s)."".
   * 
   * @return translated ""Successfully Deleted the selected datasource(s).""
   * @gwt.key successfulDataSourceDelete
   */
  String successfulDataSourceDelete();

  /**
   * Translated "Click to edit roles.".
   * 
   * @return translated "Click to edit roles."
   * @gwt.key clickEditRoles
   */
  String clickEditRoles();

  /**
   * Translated "URL:".
   * 
   * @return translated "URL:"
   * @gwt.key dbUrl
   */
  String dbUrl();

  /**
   * Translated "Roles".
   * 
   * @return translated "Roles"
   * @gwt.key roles
   */
  String roles();

  /**
   * Translated "Trigger - Group / Name".
   * 
   * @return translated "Trigger - Group / Name"
   * @gwt.key triggerGroupName
   */
  String triggerGroupName();

  /**
   * Translated "Home".
   * 
   * @return translated "Home"
   * @gwt.key home
   */
  String home();

  /**
   * Translated "User does not exist: {0}".
   * 
   * @return translated "User does not exist: {0}"
   * @gwt.key userDoesNotExist
   */
  String userDoesNotExist(String arg0);

  /**
   * Translated "Connection Test Successful.".
   * 
   * @return translated "Connection Test Successful."
   * @gwt.key connectionTestSuccessful
   */
  String connectionTestSuccessful();

  /**
   * Translated "Purge Mondrian Data Cache".
   * 
   * @return translated "Purge Mondrian Data Cache"
   * @gwt.key purgeMondrianDataCache
   */
  String purgeMondrianDataCache();

  /**
   * Translated "Error: onClick() trying to handle unrecognized widget.".
   * 
   * @return translated "Error: onClick() trying to handle unrecognized widget."
   * @gwt.key invalidToggleButton
   */
  String invalidToggleButton();

  /**
   * Translated "Users & Roles".
   * 
   * @return translated "Users & Roles"
   * @gwt.key usersAndRoles
   */
  String usersAndRoles();

  /**
   * Translated ""Are your sure you want to delete the selected data sources?"".
   * 
   * @return translated ""Are your sure you want to delete the selected data sources?""
   * @gwt.key confirmDataSourceDeletionMsg
   */
  String confirmDataSourceDeletionMsg();

  /**
   * Translated "Running".
   * 
   * @return translated "Running"
   * @gwt.key running
   */
  String running();

  /**
   * Translated "No scheduled jobs.".
   * 
   * @return translated "No scheduled jobs."
   * @gwt.key noScheduledJobs
   */
  String noScheduledJobs();

  /**
   * Translated "Execute Global Actions".
   * 
   * @return translated "Execute Global Actions"
   * @gwt.key executeGlobalActions
   */
  String executeGlobalActions();

  /**
   * Translated "Refresh Reporting Metadata".
   * 
   * @return translated "Refresh Reporting Metadata"
   * @gwt.key refreshReportingMetadata
   */
  String refreshReportingMetadata();

  /**
   * Translated "Delete Users".
   * 
   * @return translated "Delete Users"
   * @gwt.key deleteUsers
   */
  String deleteUsers();

  /**
   * Translated "Suspended".
   * 
   * @return translated "Suspended"
   * @gwt.key stateSuspended
   */
  String stateSuspended();

  /**
   * Translated "Advance".
   * 
   * @return translated "Advance"
   * @gwt.key advanceDb
   */
  String advanceDb();

  /**
   * Translated "#Idle Conn:".
   * 
   * @return translated "#Idle Conn:"
   * @gwt.key numIdleDbConnnections
   */
  String numIdleDbConnnections();

  /**
   * Translated "Delete".
   * 
   * @return translated "Delete"
   * @gwt.key delete
   */
  String delete();

  /**
   * Translated "Unable to refresh security information: {0}".
   * 
   * @return translated "Unable to refresh security information: {0}"
   * @gwt.key securityRefreshError
   */
  String securityRefreshError(String arg0);

  /**
   * Translated "Remove Users".
   * 
   * @return translated "Remove Users"
   * @gwt.key removeUsers
   */
  String removeUsers();

  /**
   * Translated "Resume All Jobs".
   * 
   * @return translated "Resume All Jobs"
   * @gwt.key resumeAllJobs
   */
  String resumeAllJobs();

  /**
   * Translated "Insufficient privileges.".
   * 
   * @return translated "Insufficient privileges."
   * @gwt.key insufficientPrivileges
   */
  String insufficientPrivileges();

  /**
   * Translated "Can not assign non-existing user to role: {0}".
   * 
   * @return translated "Can not assign non-existing user to role: {0}"
   * @gwt.key cantAssignNonexistingUserToRole
   */
  String cantAssignNonexistingUserToRole(String arg0);

  /**
   * Translated "Test Connection".
   * 
   * @return translated "Test Connection"
   * @gwt.key testConnection
   */
  String testConnection();

  /**
   * Translated "Yes".
   * 
   * @return translated "Yes"
   * @gwt.key yes
   */
  String yes();

  /**
   * Translated "Role does not exist: {0} ".
   * 
   * @return translated "Role does not exist: {0} "
   * @gwt.key roleDoesNotExist
   */
  String roleDoesNotExist(String arg0);

  /**
   * Translated "Invalid tab index: {0}".
   * 
   * @return translated "Invalid tab index: {0}"
   * @gwt.key invalidTabIndex
   */
  String invalidTabIndex(String arg0);

  /**
   * Translated "JNDI Name:".
   * 
   * @return translated "JNDI Name:"
   * @gwt.key jndiName
   */
  String jndiName();

  /**
   * Translated "User Name:".
   * 
   * @return translated "User Name:"
   * @gwt.key dbUserName
   */
  String dbUserName();

  /**
   * Translated "Actions".
   * 
   * @return translated "Actions"
   * @gwt.key actions
   */
  String actions();

  /**
   * Translated "Role already exists.".
   * 
   * @return translated "Role already exists."
   * @gwt.key roleAlreadyExists
   */
  String roleAlreadyExists();

  /**
   * Translated "Error Creating Data Source".
   * 
   * @return translated "Error Creating Data Source"
   * @gwt.key errorCreatingDataSource
   */
  String errorCreatingDataSource();

  /**
   * Translated "Assigned".
   * 
   * @return translated "Assigned"
   * @gwt.key assignedItemsTitle
   */
  String assignedItemsTitle();

  /**
   * Translated "Password Confirmation".
   * 
   * @return translated "Password Confirmation"
   * @gwt.key passwordConfirmation
   */
  String passwordConfirmation();

  /**
   * Translated "Suspend".
   * 
   * @return translated "Suspend"
   * @gwt.key suspend
   */
  String suspend();

  /**
   * Translated "Users".
   * 
   * @return translated "Users"
   * @gwt.key users
   */
  String users();

  /**
   * Translated "Unable to refresh data sources list: {0}".
   * 
   * @return translated "Unable to refresh data sources list: {0}"
   * @gwt.key dataSourcesRefreshError
   */
  String dataSourcesRefreshError(String arg0);

  /**
   * Translated "Remove Roles".
   * 
   * @return translated "Remove Roles"
   * @gwt.key removeRoles
   */
  String removeRoles();

  /**
   * Translated "Click to add general.".
   * 
   * @return translated "Click to add general."
   * @gwt.key clickAddGeneral
   */
  String clickAddGeneral();

  /**
   * Translated "Cancel".
   * 
   * @return translated "Cancel"
   * @gwt.key cancel
   */
  String cancel();

  /**
   * Translated "Role Name".
   * 
   * @return translated "Role Name"
   * @gwt.key roleName
   */
  String roleName();

  /**
   * Translated "Purge Mondrian Schema Cache".
   * 
   * @return translated "Purge Mondrian Schema Cache"
   * @gwt.key purgeMondrianSchemaCache
   */
  String purgeMondrianSchemaCache();

  /**
   * Translated "Job - Group / Name".
   * 
   * @return translated "Job - Group / Name"
   * @gwt.key jobGroupName
   */
  String jobGroupName();

  /**
   * Translated "Password".
   * 
   * @return translated "Password"
   * @gwt.key password
   */
  String password();

  /**
   * Translated "Run Now".
   * 
   * @return translated "Run Now"
   * @gwt.key runNow
   */
  String runNow();

  /**
   * Translated "None".
   * 
   * @return translated "None"
   * @gwt.key XmlSerializer.stateNone
   */
  String XmlSerializer_stateNone();

  /**
   * Translated "Invalid user name.".
   * 
   * @return translated "Invalid user name."
   * @gwt.key invalidUserName
   */
  String invalidUserName();

  /**
   * Translated "Delete Data Sources".
   * 
   * @return translated "Delete Data Sources"
   * @gwt.key deleteDataSources
   */
  String deleteDataSources();

  /**
   * Translated "Validation Query:".
   * 
   * @return translated "Validation Query:"
   * @gwt.key dbValidationQuery
   */
  String dbValidationQuery();

  /**
   * Translated "Restore Default File Permissions".
   * 
   * @return translated "Restore Default File Permissions"
   * @gwt.key restoreDefaultFilePermissions
   */
  String restoreDefaultFilePermissions();

  /**
   * Translated "Description".
   * 
   * @return translated "Description"
   * @gwt.key description
   */
  String description();

  /**
   * Translated "Driver Class:".
   * 
   * @return translated "Driver Class:"
   * @gwt.key jdbcDriverClass
   */
  String jdbcDriverClass();

  /**
   * Translated "Action".
   * 
   * @return translated "Action"
   * @gwt.key action
   */
  String action();

  /**
   * Translated "User Name".
   * 
   * @return translated "User Name"
   * @gwt.key userName
   */
  String userName();

  /**
   * Translated "Schedule Daily Repository Cleaning".
   * 
   * @return translated "Schedule Daily Repository Cleaning"
   * @gwt.key scheduleDailyRepositoryCleaning
   */
  String scheduleDailyRepositoryCleaning();

  /**
   * Translated "Are your sure you want to delete the selected roles?".
   * 
   * @return translated "Are your sure you want to delete the selected roles?"
   * @gwt.key confirmRoleDeletionMsg
   */
  String confirmRoleDeletionMsg();

  /**
   * Translated "Click to edit users.".
   * 
   * @return translated "Click to edit users."
   * @gwt.key clickEditUsers
   */
  String clickEditUsers();

  /**
   * Translated "Scheduler".
   * 
   * @return translated "Scheduler"
   * @gwt.key scheduler
   */
  String scheduler();

  /**
   * Translated "Error Updating Data Source".
   * 
   * @return translated "Error Updating Data Source"
   * @gwt.key errorUpdatingDataSource
   */
  String errorUpdatingDataSource();

  /**
   * Translated "Status".
   * 
   * @return translated "Status"
   * @gwt.key status
   */
  String status();

  /**
   * Translated "Unable to load Home page, reason: {0}".
   * 
   * @return translated "Unable to load Home page, reason: {0}"
   * @gwt.key failedToLoadHome
   */
  String failedToLoadHome(String arg0);

  /**
   * Translated "Details:".
   * 
   * @return translated "Details:"
   * @gwt.key userDetails
   */
  String userDetails();

  /**
   * Translated "Update Role".
   * 
   * @return translated "Update Role"
   * @gwt.key updateRole
   */
  String updateRole();

  /**
   * Translated "Delete Job".
   * 
   * @return translated "Delete Job"
   * @gwt.key deleteJob
   */
  String deleteJob();

  /**
   * Translated "Assigned Users".
   * 
   * @return translated "Assigned Users"
   * @gwt.key assignedUsers
   */
  String assignedUsers();

  /**
   * Translated "Wait:".
   * 
   * @return translated "Wait:"
   * @gwt.key dbWaitTime
   */
  String dbWaitTime();

  /**
   * Translated ""Successfully updated the DataSource."".
   * 
   * @return translated ""Successfully updated the DataSource.""
   * @gwt.key successfulDataSourceUpdate
   */
  String successfulDataSourceUpdate();

  /**
   * Translated "Password does not match password confirmation.".
   * 
   * @return translated "Password does not match password confirmation."
   * @gwt.key passwordConfirmationFailed
   */
  String passwordConfirmationFailed();

  /**
   * Translated "Filter:".
   * 
   * @return translated "Filter:"
   * @gwt.key filter
   */
  String filter();

  /**
   * Translated "Delete Roles".
   * 
   * @return translated "Delete Roles"
   * @gwt.key deleteRoles
   */
  String deleteRoles();

  /**
   * Translated "Administration".
   * 
   * @return translated "Administration"
   * @gwt.key administration
   */
  String administration();

  /**
   * Translated "Update User".
   * 
   * @return translated "Update User"
   * @gwt.key updateUser
   */
  String updateUser();

  /**
   * Translated "Update".
   * 
   * @return translated "Update"
   * @gwt.key update
   */
  String update();

  /**
   * Translated "Invalid role name.;".
   * 
   * @return translated "Invalid role name.;"
   * @gwt.key invalidRoleName
   */
  String invalidRoleName();

  /**
   * Translated "Not running".
   * 
   * @return translated "Not running"
   * @gwt.key notRunning
   */
  String notRunning();

  /**
   * Translated "State".
   * 
   * @return translated "State"
   * @gwt.key state
   */
  String state();

  /**
   * Translated "Security".
   * 
   * @return translated "Security"
   * @gwt.key security
   */
  String security();

  /**
   * Translated "All Jobs Suspended".
   * 
   * @return translated "All Jobs Suspended"
   * @gwt.key allJobsSuspended
   */
  String allJobsSuspended();

  /**
   * Translated "BI Server is available.".
   * 
   * @return translated "BI Server is available."
   * @gwt.key biServerAlive
   */
  String biServerAlive();

  /**
   * Translated ""Error Deleting Data Source"".
   * 
   * @return translated ""Error Deleting Data Source""
   * @gwt.key errorDeletingDataSource
   */
  String errorDeletingDataSource();

  /**
   * Translated "Server Status:".
   * 
   * @return translated "Server Status:"
   * @gwt.key toolbarStatus
   */
  String toolbarStatus();

  /**
   * Translated "Update Data Source".
   * 
   * @return translated "Update Data Source"
   * @gwt.key updateDataSource
   */
  String updateDataSource();

  /**
   * Translated "Available".
   * 
   * @return translated "Available"
   * @gwt.key availableItemsTitle
   */
  String availableItemsTitle();

  /**
   * Translated "BI Server is is NOT available.".
   * 
   * @return translated "BI Server is is NOT available."
   * @gwt.key biServerDead
   */
  String biServerDead();

  /**
   * Translated "Error".
   * 
   * @return translated "Error"
   * @gwt.key error
   */
  String error();

  /**
   * Translated "Error Loading Data Sources".
   * 
   * @return translated "Error Loading Data Sources"
   * @gwt.key errorLoadingDataSources
   */
  String errorLoadingDataSources();

  /**
   * Translated "Add Role".
   * 
   * @return translated "Add Role"
   * @gwt.key addRole
   */
  String addRole();

  /**
   * Translated "General".
   * 
   * @return translated "General"
   * @gwt.key general
   */
  String general();

  /**
   * Translated "Add Data Source".
   * 
   * @return translated "Add Data Source"
   * @gwt.key addDataSource
   */
  String addDataSource();

  /**
   * Translated "Password:".
   * 
   * @return translated "Password:"
   * @gwt.key dbPassword
   */
  String dbPassword();

  /**
   * Translated "Resume".
   * 
   * @return translated "Resume"
   * @gwt.key resume
   */
  String resume();

  /**
   * Translated "Data Sources".
   * 
   * @return translated "Data Sources"
   * @gwt.key dataSources
   */
  String dataSources();

  /**
   * Translated "Click to edit general.".
   * 
   * @return translated "Click to edit general."
   * @gwt.key clickEditGeneral
   */
  String clickEditGeneral();

  /**
   * Translated "Advance".
   * 
   * @return translated "Advance"
   * @gwt.key advance
   */
  String advance();

  /**
   * Translated "Max Active Conn:".
   * 
   * @return translated "Max Active Conn:"
   * @gwt.key maxActiveDbConnections
   */
  String maxActiveDbConnections();
}
