/*
 * Copyright 2006-2008 Pentaho Corporation.  All rights reserved. 
 * This software was developed by Pentaho Corporation and is provided under the terms 
 * of the Mozilla Public License, Version 1.1, or any later version. You may not use 
 * this file except in compliance with the license. If you need a copy of the license, 
 * please go to http://www.mozilla.org/MPL/MPL-1.1.txt. The Original Code is the Pentaho 
 * BI Platform.  The Initial Developer is Pentaho Corporation.
 *
 * Software distributed under the Mozilla Public License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or  implied. Please refer to 
 * the license for the specific language governing your rights and limitations.
 *
 * @created May 19, 2008
 * 
 */
package org.pentaho.pac.client.scheduler;

import org.pentaho.pac.client.common.util.StringUtils;
import org.pentaho.pac.client.scheduler.RecurrenceEditor.RecurrenceEditorException;

import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.FlexTable;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.Widget;

public class ScheduleEditor extends FlexTable {

  private TextBox nameTb = new TextBox();
  private TextBox groupNameTb = new TextBox();
  private TextBox descriptionTb = new TextBox();
  
  // TODO sbarkdull, remove false initialization, init to null, controller should init it
  private String repeatInSec = "518400";
  
  private RecurrenceDialog recurrenceDialog = new RecurrenceDialog();
  public ScheduleEditor() {
    super();

    setCellPadding( 0 );
    setCellSpacing( 0 );
    
    Label l = new Label( "Name:" );
    setWidget( 0 , 0, l );
    setWidget( 0 , 1, nameTb );
    
    l = new Label( "Group:" );
    setWidget( 1 , 0, l );
    setWidget( 1 , 1, groupNameTb );
    
    l = new Label( "Description:" );
    setWidget( 2 , 0, l );
    setWidget( 2 , 1, descriptionTb );
    
    Button btn = new Button( "Recurrence...", new ClickListener() {
      public void onClick(Widget sender) {
        // TODO sbarkdull, fix me
        String cronStr = null; //getCronString();
        if ( !StringUtils.isEmpty( cronStr ) ) {
          CronParser cp = new CronParser( cronStr );
          try {
            cp.parse();
            recurrenceDialog.getRecurrenceEditor().inititalizeWithRecurrenceString( cp.getRecurrenceString() );
            recurrenceDialog.center();
          } catch (CronParseException e) {
            // TODO sbarkdull, show error dialog
            e.printStackTrace();
          }
        } else {
          int secs = Integer.parseInt( repeatInSec );
          recurrenceDialog.getRecurrenceEditor().inititalizeWithRepeat( secs );
          recurrenceDialog.center();
        }
      }
    });
    setWidget( 3 , 1, btn );
  }
  
  public String getName() {
    return nameTb.getText();
  }
  
  public void setName( String name ) {
    nameTb.setText( name );
  }
  
  public String getGroupName() {
    return groupNameTb.getText();
  }
  
  public void setGroupName( String groupName ) {
    groupNameTb.setText( groupName );
  }
  
  public String getDescription() {
    return descriptionTb.getText();
  }
  
  public void setDescription( String description ) {
    descriptionTb.setText( description );
  }
  
  public String getCronString() throws RecurrenceEditorException {
    // TODO sbarkdull
    return recurrenceDialog.getRecurrenceEditor().getCronString();
  }
  
  public void setCronString( String cronStr ) {
    // TODO sbarkdull
  }

  public String getRepeatInSecs() throws RecurrenceEditorException {
    return recurrenceDialog.getRecurrenceEditor().getRepeatInSecs();
  }

  public void setRepeatInSecs(String repeatInSec) {
    // TODO sbarkdull
    throw new RuntimeException( "not implemented" ); //$NON-NLS-1$
  }
  
  public String getStartDateTime() {
    return recurrenceDialog.getRecurrenceEditor().getStartDateTime();
  }
}
